Package com.complexible.stardog.api.search

# Class SearchResult

java.lang.Object
com.complexible.stardog.api.search.SearchResult

All Implemented Interfaces:
  `Copyable<SearchResult>`

public final class SearchResult extends Object implements Copyable<SearchResult>

Simple search result data structure.

Since:
  0.6.5
Version:
  6.0
Author:
  Michael Grove

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SearchResult`
  `copy()`
  Create a deep copy of the object which does not share any references with the original.
  `static SearchResult`
  `create(Resource theHit, double theScore, int theIndex)`
  `boolean`
  `equals(Object o)`
  `Resource`
  `getHit()`
  Return the actual search hit
  `int`
  `getIndex()`
  Return the index of the hit in the results
  `double`
  `getScore()`
  Return the score of the hit
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### create

    public static SearchResult create(Resource theHit, double theScore, int theIndex)

  - ### copy

    public SearchResult copy()
    Create a deep copy of the object which does not share any references with the original.
    Specified by:
      `copy` in interface `Copyable<SearchResult>`
    Returns:
      a copy of the object

  - ### getScore

    public double getScore()
    Return the score of the hit
    Returns:
      the score

  - ### getIndex

    public int getIndex()
    Return the index of the hit in the results
    Returns:
      the index

  - ### getHit

    public Resource getHit()
    Return the actual search hit
    Returns:
      the hit of the search

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`